Bug 70415 - Installer doesn't check /boot free space
Installer doesn't check /boot free space
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-01 04:14 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-07 17:32:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-01 04:14:44 EDT
Description of Problem:

When upgrading an older release, the installer stops when 
installing the grub package saying a fatal error has occourred. Manually upgrading the package 
(with rpm -U) gives the correct error: there is not enough free space on the /boot partition. 
Freeing the space resolves the problem.

Version-Release number of selected component (if 
applicable):

RedHat 7.3


Steps to Reproduce:
1. Fill the /boot partition 
2. Try to 
upgrade the distro
Comment 1 Jeremy Katz 2002-08-02 17:52:36 EDT
Unfortunately, we have no real way to account for initrd space right now which
is what throws off the space checks we do do.  I'll try to add a better check
for this to a future release
Comment 2 Jeremy Katz 2003-03-07 17:32:38 EST
This should be better in our current code.

Note You need to log in before you can comment on or make changes to this bug.